Bug 237374 - [NEW PORT] textproc/kibana7: Browser based analytics and search interface to ElasticSearch
Summary: [NEW PORT] textproc/kibana7: Browser based analytics and search interface to ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Greg Lewis
URL:
Keywords: feature
Depends on:
Blocks:
 
Reported: 2019-04-19 01:13 UTC by rlwestlund
Modified: 2020-05-19 11:08 UTC (History)
10 users (show)

See Also:


Attachments
textproc/elasticsearch7 (version 7.4.2) (15.69 KB, patch)
2019-11-11 19:22 UTC, Jeremy Baggs
no flags Details | Diff
shar to add kibana7 - 7.6.1 (5.70 KB, text/plain)
2020-03-10 13:31 UTC, Miroslav Lachman
no flags Details
patch to add kibana 7.6.1 (1.45 KB, patch)
2020-03-10 13:31 UTC, Miroslav Lachman
no flags Details | Diff
poudriere testport build log success for 11.3-RELEASE (16.13 KB, text/plain)
2020-03-10 13:32 UTC, Miroslav Lachman
no flags Details
shar to add kibana7 - 7.6.1 (5.70 KB, text/plain)
2020-03-10 21:27 UTC, Miroslav Lachman
no flags Details
kibana7 - 7.6.1, fix dependency to node10 (5.70 KB, text/plain)
2020-03-12 12:14 UTC, Miroslav Lachman
no flags Details
patch to add kibana 7.6.1 (1.89 KB, patch)
2020-03-12 12:15 UTC, Miroslav Lachman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rlwestlund 2019-04-19 01:13:40 UTC
See https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=237372 for background; Kibana 7 is out now and the kibana6 port won't work with elasticsearch7.

Unfortunately I couldn't manage to get Kibana7 working. I got this error when running it:

{"type":"log","@timestamp":"2019-04-18T03:27:59Z","tags":["fatal","root"],"pid":23386,"message":"{ ExtractError: Failed to extract the browser archive\n    at err (/usr/local/www/kibana7/node_modules/x-pack/plugins/reporting/server/browsers/extract/unzip.js:14:23)\n    at /usr/local/www/kibana7/node_modules/extract-zip/index.js:20:23\n    at /usr/local/www/kibana7/node_modules/extract-zip/node_modules/yauzl/index.js:29:21\n    at FSReqCallback.args [as oncomplete] (fs.js:145:20)\n  name: 'ExtractError',\n  cause:\n   { [Error: ENOENT: no such file or directory, open '/usr/local/www/kibana7/node_modules/x-pack/plugins/reporting/.chromium/chromium-04c5a83-darwin.zip']\n     errno: -2,\n     code: 'ENOENT',\n     syscall: 'open',\n     path:\n      '/usr/local/www/kibana7/node_modules/x-pack/plugins/reporting/.chromium/chromium-04c5a83-darwin.zip' } }"}

They now have separated linux and darwin builds so I don't know why it's trying to find a darwin zip in there... Hoping someone more knowledgeable about Kibana/Node/Javascript knows something about this.
Comment 1 rlwestlund 2019-04-21 12:59:15 UTC
Hi, I see you chaged the severity down to Affects Only Me... I set it to Affects Some People because I figured there must be other people that could use this, it's not a fluke bug or something. Is that field supposed to be a measure of only people that we *know* have been affected by it? Makes more sense in retrospect... I thought it was weird that we were supposed to try to estimate.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2019-04-21 14:42:06 UTC
(In reply to rlwestlund from comment #1)

The best way to describe it is a 'scope of the issue', not a measure of usefulness or value. Technically its the 'Severity' field, which technically only applies to 'bugs', say, as opposed to feature requests. 

If you treat a 'new port' as a 'bug' (a proposed change), the only person affected is the reporter, or the maintainer (also usually the reporter)
Comment 3 mzs_47 2019-10-06 10:12:51 UTC
Hi, Thanks to @rlwestlund(and others) for the effort, I am planning to use this or ELK 6 in production with CBSD.
A quick search and I came across this below issue on Github, not sure whether this is related.

https://github.com/elastic/kibana/pull/27255

On similar note, I guess sysutils/logstash7 is not required(for EL7) and sysutils/logstash6 is compatible.
Comment 4 Jeremy Baggs 2019-11-11 19:22:54 UTC
Created attachment 209063 [details]
textproc/elasticsearch7 (version 7.4.2)
Comment 5 Jeremy Baggs 2019-11-11 19:27:42 UTC
Hello all. I needed some features in the latest Elasticsearch (7.4.2) and ported it locally over the weekend. I see here Elasticsearch 7 was in the works but I prior version. My files for 7.4.2 are attached. (This port is based on the Darwin build.)


I maintain the py-elasticsearch-dsl port, and will be uploading a version7 of it shortly. I will also be submitting to reversion the older port as py-elasticsearch-dsl6, to be in keeping with the versioning on other Elasticsearch related ports. 


I also noted, that elasticsearch5 was EOL earlier this year (see: https://www.elastic.co/support/eol) so it looks like the team will only need to maintain 2 or 3 versions at a time going forward.
Comment 6 Jeremy Baggs 2019-11-11 19:31:01 UTC
...and now I see I opened the wrong window and attached my files to the wrong PR.
Comment 7 Miroslav Lachman 2019-11-20 22:14:13 UTC
PR 237372 contains shar for new port elasticsearch 7 - 7.4.2 with some fixes (plist and distfile)
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=237372
Comment 8 Miroslav Lachman 2020-03-10 13:31:01 UTC
Created attachment 212303 [details]
shar to add kibana7 - 7.6.1

Create new port kibana7.
Only build tested with "poudriere testport". I do not use Kibana. Please somebody else have to run test it.
Comment 9 Miroslav Lachman 2020-03-10 13:31:20 UTC
Created attachment 212304 [details]
patch to add kibana 7.6.1

Maybe it is better to do repocopy kibana6 to kibana7 and then patch it to 7.6.1
Comment 10 Miroslav Lachman 2020-03-10 13:32:40 UTC
Created attachment 212305 [details]
poudriere testport build log success for 11.3-RELEASE
Comment 11 Miroslav Lachman 2020-03-10 21:27:27 UTC
Created attachment 212315 [details]
shar to add kibana7 - 7.6.1

fixed version number in pkg-descr "Kibana 7.x is compatible with Elasticsearch 7.x"
Comment 12 Greg Lewis freebsd_committer 2020-03-12 01:35:54 UTC
FWIW, this worked for me with node10 (10.19.0).

I haven't tried node12, and I'm wondering why the current shar has that as the dependency.  Have you tried running it with node12?

Note that building it doesn't really count since all that does is copy files around, you need to start it up to see if it will run or not :)
Comment 13 Miroslav Lachman 2020-03-12 09:37:48 UTC
(In reply to Greg Lewis from comment #12)
You absolutely right. Kibana 7.6.1 has node 10.19.0 as a requirement. It is my mistake. Even if I posted about it a month ago https://lists.freebsd.org/pipermail/freebsd-elastic/2020-February/000525.html
I will fix it soon and upload new shar + patch with node10 as a dependency.
Comment 14 Miroslav Lachman 2020-03-12 12:14:21 UTC
Created attachment 212348 [details]
kibana7 - 7.6.1, fix dependency to node10

Changed to RUN_DEPENDS=	node10>=10.18.0:www/node10
Comment 15 Miroslav Lachman 2020-03-12 12:15:21 UTC
Created attachment 212349 [details]
patch to add kibana 7.6.1
Comment 16 commit-hook freebsd_committer 2020-03-13 00:00:02 UTC
A commit references this bug:

Author: glewis
Date: Thu Mar 12 23:59:14 UTC 2020
New revision: 528323
URL: https://svnweb.freebsd.org/changeset/ports/528323

Log:
  Add a port of Kibana 7.x

  PR:		237374
  Submitted by:	Miroslav Lachman <000.fbsd@quip.cz>

Changes:
  head/textproc/Makefile
  head/textproc/kibana7/
  head/textproc/kibana7/Makefile
  head/textproc/kibana7/distinfo
  head/textproc/kibana7/pkg-descr
Comment 17 Greg Lewis freebsd_committer 2020-03-13 00:04:35 UTC
Thanks!  Port committed.

Now we need beats7 :)
Comment 18 Kubilay Kocak freebsd_committer freebsd_triage 2020-03-13 04:21:09 UTC
^Triage: Assign to committer that resolved